0%

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
(node:29753) fs: re-evaluating native module sources is not supported. If you are using the graceful-fs module, please update it to a more recent version.
module.js:568
return process.dlopen(module, path._makeLong(filename));
^

Error: dlopen(/Users/jovi/longtou-web/gzletou.com/node_modules/node-sass/vendor/darwin-x64-48/binding.node, 1): no suitable image found. Did find:
/Users/jovi/longtou-web/gzletou.com/node_modules/node-sass/vendor/darwin-x64-48/binding.node: truncated mach-o error: segment __TEXT extends to 1212416 which is past end of file 86576
at Error (native)
at Object.Module._extensions..node (module.js:568:18)
at Module.load (module.js:458:32)
at tryModuleLoad (module.js:417:12)
at Function.Module._load (module.js:409:3)
at Module.require (module.js:468:17)
at require (internal/module.js:20:19)
at Object.<anonymous> (/Users/jovi/longtou-web/gzletou.com/node_modules/node-sass/lib/index.js:24:15)
at Module._compile (module.js:541:32)
at Object.Module._extensions..js (module.js:550:10)

Process finished with exit code 1

代码安装

使用Ctrl+`快捷键或者通过View->Show Console菜单打开命令行,粘贴如下代码:

1
import urllib.request,os; pf = 'Package Control.sublime-package'; ipp = sublime.installed_packages_path(); urllib.request.install_opener( urllib.request.build_opener( urllib.request.ProxyHandler()) ); open(os.path.join(ipp, pf), 'wb').write(urllib.request.urlopen( 'http://sublime.wbond.net/' + pf.replace(' ','%20')).read())

如果顺利的话,此时就可以在Preferences菜单下看到Package Settings和Package Control两个菜单了。
顺便贴下Sublime Text2 的代码(未验证):

阅读全文 »